NetworkChangeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.transport
Class NetworkChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.transport.TransportSIChangeEvent
                  javax.tv.service.transport.NetworkChangeEvent

All Implemented Interfaces:
  Serializable

    public class NetworkChangeEvent

extends TransportSIChangeEvent

A `NetworkChangeEvent` notifies an `NetworkChangeListener` of changes detected in a `NetworkCollection`. Specifically, this event signals the addition, removal, or modification of a `Network`.

See Also:
  `NetworkCollection`, `Network`, Serialized Form

Constructor Summary
`NetworkChangeEvent(NetworkCollection collection, SIChangeType type, Network n)` Constructs a `NetworkChangeEvent`.

Method Summary
`Network` | `getNetwork()` Reports the `Network` that changed.
`NetworkCollection` | `getNetworkCollection()` Reports the `NetworkCollection` that generated the event.

Methods inherited from class javax.tv.service.transport.TransportSIChangeEvent
`getTransport`

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetworkChangeEvent

    public NetworkChangeEvent(NetworkCollection collection,
                              SIChangeType type,
                              Network n)

  Constructs a `NetworkChangeEvent`.

  Parameters:
    `collection` - The network collection in which the change occurred.
    `type` - The type of change that occurred.
    `n` - The `Network` that changed.

Method Detail

### getNetworkCollection

    public NetworkCollection getNetworkCollection()

  Reports the `NetworkCollection` that generated the event. It will be identical to the object returned by the `getTransport()` method.

  Returns:
    The `NetworkCollection` that generated the event.

### getNetwork

    public Network getNetwork()

  Reports the `Network` that changed. It will be identical to the object returned by the inherited `SIChangeEvent.getSIElement` method.

  Returns:
    The `Network` that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD